<html>
<head>
<title>TestNG:  Default test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Default test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>2/1/0</td>
</tr><tr>
<td>Started on:</td><td>Mon Feb 27 14:03:04 IST 2023</td>
</tr>
<tr><td>Total time:</td><td>20 seconds (20104 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-failed'>
<tr><td colspan='4' align='center'><b>FAILED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='StepDefinations.RunnerClasss.runScenario()'><b>runScenario</b><br>Test class: StepDefinations.RunnerClasss<br>Test method: Runs Cucumber Scenarios<br>Parameters: "", "To validate the DemoWbshop Apllictations"</td>
<td><div><pre>java.io.FileNotFoundException: /home/ranjith/eclipse-workspace/DemoWebShop_Assiginment/src/test/resources/Captures/displyed.png (No such file or directory)
	at java.base/java.io.FileOutputStream.open0(Native Method)
	at java.base/java.io.FileOutputStream.open(FileOutputStream.java:293)
	at java.base/java.io.FileOutputStream.&lt;init&gt;(FileOutputStream.java:235)
	at com.google.common.io.Files$FileByteSink.openStream(Files.java:195)
	at com.google.common.io.Files$FileByteSink.openStream(Files.java:183)
	at com.google.common.io.ByteSource.copyTo(ByteSource.java:279)
	at com.google.common.io.Files.copy(Files.java:326)
	at StepDefinations.StepDefinations.user_capture_the_name_and_price_of_one_of_the_gift_cards_displayed(StepDefinations.java:137)
	at ✽.user  Capture the name and price of one of the  Gift cards displayed(file:///home/gokul/Downloads/DemoWebShop_Assiginment/src/test/resources/DeoWebshops/Demowebshop.feature:31)
</pre></div><a href='#' onClick='toggleBox("stack-trace203785427", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace203785427'><pre>java.io.FileNotFoundException: /home/ranjith/eclipse-workspace/DemoWebShop_Assiginment/src/test/resources/Captures/displyed.png (No such file or directory)
	at java.base/java.io.FileOutputStream.open0(Native Method)
	at java.base/java.io.FileOutputStream.open(FileOutputStream.java:293)
	at java.base/java.io.FileOutputStream.&lt;init&gt;(FileOutputStream.java:235)
	at com.google.common.io.Files$FileByteSink.openStream(Files.java:195)
	at com.google.common.io.Files$FileByteSink.openStream(Files.java:183)
	at com.google.common.io.ByteSource.copyTo(ByteSource.java:279)
	at com.google.common.io.Files.copy(Files.java:326)
	at StepDefinations.StepDefinations.user_capture_the_name_and_price_of_one_of_the_gift_cards_displayed(StepDefinations.java:137)
	at ✽.user  Capture the name and price of one of the  Gift cards displayed(file:///home/gokul/Downloads/DemoWebShop_Assiginment/src/test/resources/DeoWebshops/Demowebshop.feature:31)
</pre></div></td>
<td>1</td>
<td>StepDefinations.RunnerClasss@2c1b194a</td></tr>
</table><p>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='StepDefinations.RunnerClasss.runScenario()'><b>runScenario</b><br>Test class: StepDefinations.RunnerClasss<br>Test method: Runs Cucumber Scenarios<br>Parameters: "", "To validate the DemoWbshop Apllictations"</td>
<td></td>
<td>8</td>
<td>StepDefinations.RunnerClasss@2c1b194a</td></tr>
<tr>
<td title='StepDefinations.RunnerClasss.runScenario()'><b>runScenario</b><br>Test class: StepDefinations.RunnerClasss<br>Test method: Runs Cucumber Scenarios<br>Parameters: "To verify the product catogeriese funtionality", "To validate the DemoWbshop Apllictations"</td>
<td></td>
<td>9</td>
<td>StepDefinations.RunnerClasss@2c1b194a</td></tr>
</table><p>
</body>
</html>